Endpointsスクリーンタイム

スクリーンタイムを終了する

`/screentime/start` で開始したアクティブなスクリーンタイムを終了します。その時間は当日のスクリーンタイム利用時間に加算され、現地の深夜0時をまたぐ場合はスケジュールのタイムゾーンに従って日付ごとに分割されます。 ステータスの意味: * `accepted` - `id` に一致するスクリーンタイムが終了したか、すでに終了済みのスクリーンタイムに対する再試行が冪等に処理されました。 `sessionId` に対してアクティブなスクリーンタイムが存在しない場合、またはこのリクエストの `id` がアクティブなスクリーンタイムを開始した `id` と一致しない場合は、`NOT_FOUND` コードが返されます。

POST
/screentime/end
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/screentime/end" \  -H "Content-Type: application/json" \  -d '{    "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672",    "id": "3f8c1d24-6b5e-4a07-9c2f-8d1e7a4b6c90",    "timestamp": "2026-06-24T16:30:00Z"  }'
{  "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672",  "id": "3f8c1d24-6b5e-4a07-9c2f-8d1e7a4b6c90",  "status": "accepted",  "screentime": {    "counter": {      "timeUsedTodayMinutes": 75,      "timeLimitTodayMinutes": 120,      "timeRemainingTodayMinutes": 45,      "dayResetsAt": "2026-06-25T00:00:00Z"    }  }}